RK-J - Task #3072
Feature # 3024 (Closed): extension 0.92.20 & 0.93: Enable OpenAl answers

Feature # 3062 (Closed): Extension v0.93 requirements

EXT - 0.93: Allow user to search using the ChatGPT.
06/20/2023 07:53 AM - Ayush Khandelwal

Status: Rejected Start date: 06/20/2023
Priority: Urgent Due date: 06/23/2023
Assignee: Ayush Khandelwal % Done: 100%
Category: Estimated time: 0.00 hour
Target version: 1-RK-J-1 Spent time: 0.00 hour
Description

When user accesses a [[hitps://www.youtube.com/watch?v=_uQrJ0TkZIc]] that we have not processed, they get the 'Unfortunately,
our Al has not...demand' message.

Under this, lets add 'Want to get an answer from ChatGPT?' Show chatgpt icon to the left of the dialogue. Add the submit button for

yes'.

If user clicks on 'yes' button, show the "Type phrase e.g. nested list & Press enter". Same like the one we have when video is
processed. However, replace 'magnifying glass icon' with chatgpt icon.

If user search for a term in the search and press the enter button then make the getOpenAlanswer api call to our server with the
search term and show the response.

Under the answer response, show the above "Type phrase ... Press enter".

History

#1 - 06/20/2023 07:54 AM - Ayush Khandelwal

- File Youtube_extension_latest.zip added

#2 - 06/20/2023 11:04 AM - Ayush Khandelwal
- Description updated

#3 - 06/22/2023 12:03 PM - Ayush Khandelwal
- Tracker changed from Feature to Task

- Status changed from New to Rejected

#4 - 06/22/2023 12:04 PM - Ayush Khandelwal
- Subject changed from EXT - 0.92.20: Allow user to search using the ChatGPT. to EXT - 0.93: Allow user to search using the ChatGPT.

Files

Youtube_extension_latest.zip 50.9 KB 06/20/2023 Ayush Khandelwal
